# This file created by conda-build 3.28.4
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Wed Feb 14 17:07:54 2024
# ------------------------------------------------

package:
  name: threadpoolctl
  version: 3.3.0
source:
  sha256: 8ba449778acf0be86d2d87c0a4caee35c4c360afb8d7cbd994321c7cab11ac88
  url: https://github.com/joblib/threadpoolctl/archive/3.3.0.tar.gz
build:
  noarch: python
  number: '0'
  script:
    - /home/conda/feedstock_root/build_artifacts/threadpoolctl_1707930541534/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeho/bin/python
      -m flit install
  string: pyhc1e730c_0
requirements:
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - brotli-python 1.1.0 py312h30efb56_1
    - bzip2 1.0.8 hd590300_5
    - ca-certificates 2024.2.2 hbcca054_0
    - certifi 2024.2.2 pyhd8ed1ab_0
    - charset-normalizer 3.3.2 pyhd8ed1ab_0
    - docutils 0.20.1 py312h7900ff3_3
    - flit 3.9.0 pyhd8ed1ab_0
    - flit-core 3.9.0 pyhd8ed1ab_0
    - idna 3.6 pyhd8ed1ab_0
    - ld_impl_linux-64 2.40 h41732ed_0
    - libexpat 2.5.0 hcb278e6_1
    - libffi 3.4.2 h7f98852_5
    - libgcc-ng 13.2.0 h807b86a_5
    - libgomp 13.2.0 h807b86a_5
    - libnsl 2.0.1 hd590300_0
    - libsqlite 3.45.1 h2797004_0
    - libstdcxx-ng 13.2.0 h7e041cc_5
    - libuuid 2.38.1 h0b41bf4_0
    - libxcrypt 4.4.36 hd590300_1
    - libzlib 1.2.13 hd590300_5
    - ncurses 6.4 h59595ed_2
    - openssl 3.2.1 hd590300_0
    - pip 24.0 pyhd8ed1ab_0
    - pysocks 1.7.1 pyha2e5f31_6
    - python 3.12.1 hab00c5b_1_cpython
    - python_abi 3.12 4_cp312
    - readline 8.2 h8228510_1
    - requests 2.31.0 pyhd8ed1ab_0
    - setuptools 69.0.3 pyhd8ed1ab_0
    - tk 8.6.13 noxft_h4845f30_101
    - tomli-w 1.0.0 pyhd8ed1ab_0
    - tzdata 2024a h0c530f3_0
    - urllib3 2.2.0 pyhd8ed1ab_0
    - wheel 0.42.0 pyhd8ed1ab_0
    - xz 5.2.6 h166bdaf_0
  run:
    - python >=3.8
test:
  commands:
    - python -m threadpoolctl -i numpy
  imports:
    - threadpoolctl
  requires:
    - numpy
about:
  description: 'Python helpers to introspect and limit the number of threads used

    in native libraries that handle their own internal threadpool

    (BLAS and OpenMP implementations).

    '
  dev_url: https://github.com/joblib/threadpoolctl
  doc_url: https://github.com/joblib/threadpoolctl
  home: https://github.com/joblib/threadpoolctl
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE
  summary: Python helpers to control the threadpools of native libraries
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: azure_20240214.4.1
  recipe-maintainers:
    - jeremiedbb
    - ogrisel
    - tomMoral
  remote_url: https://github.com/conda-forge/threadpoolctl-feedstock
  sha: dd47f691fabfe83fb9e19e7e493d444e202229e8
